ECHO OFF
IF NOT EXIST PALDICK.APP GOTO GETFILES
IF NOT EXIST PALJANE.APP GOTO GETFILES
IF NOT EXIST PAL.EXE GOTO GETFILES
IF NOT EXIST PAL.OVR GOTO GETFILES

:START
CLS
echo 
echo       This batch file will demonstrate some of the features of
echo  PAL.  We will first show a report of PALDICK.APP starting on January
echo  1, 1985, for a period of five days.  You will note that Dick has
echo  entered each of his appointments beginning with the string "D-".
echo  This is to distinguish his appointments from Jane's when we
echo  combine their appointments and report on them together.
echo 
echo       Note at the end of the report that Dick has an old reminder.
echo  He was supposed to get an engagement ring for Jane yesterday.
echo 
echo 
PAUSE
PAL @ 5BHR PALDICK
CLS
echo 
echo       We will now show Jane's appointments.  Note that it's a bit
echo  difficult to see whether there are any conflicts with Dick's
echo  appointments when we can't see both together.
echo 
echo 
PAUSE
PAL @ 5BHR PALJANE
CLS
echo 
echo       This batch file will now combine the two separate
echo  appointment files into a single file, then call on PAL to report
echo  from the amalgamated file.  Note how PAL shows common appointments
echo  and conflicting appointments.
echo 
echo       Query:  What chance does Dick have to get Jane to marry him?
echo 
echo 
PAUSE
COPY /B PALDICK.APP+PALJANE.APP DIKNJAN.APP
PAL @ 5BHR DIKNJAN
CLS
echo 
echo       Answer to previous question:  They'd better have a lot more
echo  in common than political leanings and musical taste!
echo 
echo       We will now demonstrate the ability to search a file for a
echo  particular string of characters.  You may remember that all of
echo  Dick's appointments were preceded by the characters "D-" in order
echo  to distinguish them from Jane's appointments in the DIKNJAN.APP
echo  file.
echo 
echo 
PAUSE
PAL @ $B D- DIKNJAN
erase diknjan.app
CLS
echo 
echo       Now, let's take a look at something pretty sexy:  With
echo  SideKick or PAL's own Appointment Scratchpad, you can now enter
echo  an appointment that you need to see annually, and PAL will show
echo  it to you forever (well, at least until you don't want to see it
echo  anymore).  Let's take a peek at the annual appointment that Jane
echo  has placed in her file, for the next 10 years starting from your
echo  present system date.  Jane was born on February 29, 1960.
echo 
echo      There are innumerable other patterns of automatically
echo  repeating appointments which you can set with PAL.  See online
echo help or the file PAL.DOC for details.
echo 
echo 
PAUSE
PAL 3650BH PALJANE
CLS
echo 
echo       And now let's see the repeating appointments that Dick
echo  has placed in his file.  Let's make PAL show us them
echo  for a full year from today:  a monthly mortgage payment, a quarterly
echo  tax payment, and a departmental meeting which convenes on the first
echo  Monday of each month.
echo 
echo 
PAUSE
PAL 365BH PALDICK
cls
echo 
echo       Now, let's silence the automatically repeating appointments
echo  and instead see what holidays PAL can automatically show this
echo  coming year.  The holidays displayed here are only some of those
echo  which you can have PAL show you.  There are others which you can
echo  set with PAL's clone procedure, and you can squelch the appearance
echo  of those holidays in which you have no interest.
echo 
echo 
PAUSE
PAL 365BR PALDICK
cls
echo 
echo       "Fun With Dick and Jane" has been brought to you by PAL
echo  Software NY, Inc., creators of PAL, the Personal Appointment Locator.
echo 
echo       To obtain help on the features of PAL and how to
echo  operate the program, go "PAL HELP" at the DOS command line.
echo 
echo       Please enjoy the program!
echo 
echo 
echo 
echo  Use Ctrl-Break to halt the demonstration, but if you
echo  want to see it again then
PAUSE
GOTO START
:GETFILES
CLS
echo   You need the files PALDICK.APP and PALJANE.APP, PAL.EXE and PAL.OVR
echo   in order to run this demo.
echo 
GOTO ENDIT
:ENDIT
